Package org.jfree.report.flow.raw

# Class XmlPrintReportProcessor

java.lang.Object
org.jfree.report.flow.AbstractReportProcessor
org.jfree.report.flow.SinglePassReportProcessor
org.jfree.report.flow.raw.XmlPrintReportProcessor

All Implemented Interfaces:
  `ReportProcessor`

public class XmlPrintReportProcessor extends SinglePassReportProcessor
Todo: Document me!

Since:
  20.03.2007
Author:
  Thomas Morgner

## Constructor Summary

Constructors
Constructor
Description
`XmlPrintReportProcessor(OutputStream outputStream, String encoding)`

## Method Summary

Modifier and Type
Method
Description
`protected ReportTarget`
`createReportTarget(ReportJob job)`

### Methods inherited from class org.jfree.report.flow.SinglePassReportProcessor

`processReport`

### Methods inherited from class org.jfree.report.flow.AbstractReportProcessor

`createFlowControler, createReportContext, processReportRun`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### XmlPrintReportProcessor

public XmlPrintReportProcessor(OutputStream outputStream, String encoding)

## Method Details

### createReportTarget

protected ReportTarget createReportTarget(ReportJob job) throws ReportProcessingException

Specified by:
  `createReportTarget` in class `SinglePassReportProcessor`
Throws:
  `ReportProcessingException`